<jsp:scriptlet>
	// printConfig.jsp は、javax.servlet.ServletConfig オブジェクトのことです。
	// JSP では、config オブジェクトでアクセスできます。
	// スコープは、page です。
</jsp:scriptlet>

<b>HttpSession AttributeNames</b><br />
<table border="2" frame="box" rules="all" >
<tr><th>KEY</th><th>VALUE</th></tr>
<jsp:scriptlet>
	// printSettion.jsp は、javax.servlet.http.HttpSession オブジェクトのことです。
	// JSP では、session オブジェクトでアクセスできます。
	// スコープは、session です。

	if( true ) {
		java.util.Enumeration enum1 = session.getAttributeNames();
		while( enum1.hasMoreElements() ) {
			String key = (String)(enum1.nextElement());
		    Object objects = session.getAttribute( key );
</jsp:scriptlet>
<tr><td><%= key %></td><td style="white-space: normal"><%= objects %></td></tr>
<jsp:scriptlet>
		}
	}
</jsp:scriptlet>
</table>
<p />
